Summary: An X Window System clone of the space combat arcade game Galaga.
Name: xgalaga
Version: 2.0
Release: 1
Copyright: Shareware
Group: Amusements/Games
Source: ftp://ftp.x.org/contrib/games/xgalaga-%{version}.tar.gz
Patch0: xgalaga-config.patch
Patch1: xgalaga-1.6c-proto.patch
Url: http://www.aa.net/~ogre/xgal.html
BuildRoot: /var/tmp/%{name}-root

%description
XGalaga is an X Window System based clone of the space combat arcade
game Galaga.  Use your mouse to move your ship, while your mouse
button fires your weapon.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/lib/games/xgalaga \
   --exec-prefix=/usr/X11R6/bin

%install
rm -rf $RPM_BUILD_ROOT
export PATH=$PATH:.
mkdir -p $RPM_BUILD_ROOT/{etc/X11/wmconfig,usr/lib/games/xgalaga,usr/X11R6/bin,var/lib/games}

make prefix=$RPM_BUILD_ROOT/usr/lib/games/xgalaga \
   exec_prefix=$RPM_BUILD_ROOT/usr/X11R6/bin install

touch $RPM_BUILD_ROOT/var/lib/games/xgalscores
chmod a+rw $RPM_BUILD_ROOT/var/lib/games/xgalscores

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xgalaga <<EOF
xgalaga name "xgalaga"
xgalaga description "Galaga clone"
xgalaga group Games/Video
xgalaga exec "xgal &"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/X11R6/bin/*
/usr/lib/games/xgalaga
/var/lib/games/xgalscores
%config /etc/X11/wmconfig/xgalaga

%changelog
* Fri Jan 14 2000 Ngo Than <than@redhat.de>
- update to 2.0.0

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
